This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1270566 - User Guide does not compile
User Guide does not compile
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: lyx (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-11 06:20 EDT by Adrien Rebollo
Modified: 2017-08-08 08:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:18:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrien Rebollo 2015-10-11 06:20:46 EDT
Description of problem:
The User Guide does not compile because of dependency problems.

Version-Release number of selected component (if applicable):
LyX 2.1.4

How reproducible:
Always

Steps to Reproduce:
1. Open LyX
2. Help -> User Guide
3. View

Actual results:
LyX warns that epstopdf fails (but does not explain that it is not installed and the command is not found). Then there are LaTeX erros, with refstyle.sty and nomencl.sty missing.

Expected results:
The User Guide should compile out of the box.

Additional info:
This is a dependency problem, the document compiles after installing the packages texlive-refstyle, texlive-nomencl and texlive-epstopdf.

There are different dependency problems for other help files, for example "Advanced Options" or "Math".
Comment 1 Fedora End Of Life 2016-07-19 14:10:55 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 2 José Matos 2016-07-25 11:50:01 EDT
The problem persists so I am reopening it.

It would be nice to get this working, we can use some of the package requirements from the windows lyx build to get a minimal list of required packages.

This is in a sense related with #1058062

Do you have texlive-collection-latexrecommended installed?
Comment 3 Adrien Rebollo 2016-10-03 12:43:35 EDT
Yes, I have texlive-collection-latexrecommended. Trying to remove it would break too many things.
The three missing packages were texlive-refstyle, texlive-nomencl and texlive-epstopdf, they were not included by default in Fedora 22 and I don't know if they are in Fedora 24.
Comment 4 Fedora End Of Life 2017-07-25 15:21:21 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-08-08 08:18:00 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.